/* interface.h
 *
 * Copyright (C) 2000 Stefano Bellotti
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <gnome.h>

#include "sevencolors.h"

typedef struct
{
  int active_player;
  int player_cpu[2];
  GameTable *table;

  /* Some widget */
  GtkWidget *app1;
  GtkWidget *label_score[2];
  GtkWidget *button_color[7];
  GtkWidget *appbar1;
  GtkWidget *drawingarea1;
  GdkPixmap *rhomb_xpm[7];
  GdkGC *rhomb_gc[7];
  GdkPixmap *backup_xpm;

  /* dimensions of the rhombs (pixel) */
  int rhomb_width;
  int rhomb_height;

  /* dimensions of the game table (pixel) */
  int total_width;
  int total_height;
} Game;

Game game;

/*
 * Redraw the backup xpm
 */
void game_update_backup_xpm (void);

/*
 * Draw the backup xpm on the screen
 */
void game_refresh_screen (void);

/*
 * Init a new game of the same size
 */
void game_start_new (void);

/*
 * write player score
 */
void game_write_perc (int player, int rhombs_number);

/*
 * End of the game
 */
void game_end (int winner);

/*
 * Computer turn
 */
void game_computer_turn (void);


GtkWidget* create_app1 (void);
GtkWidget* create_about1 (void);
